All pages
Powered by GitBook
1 of 1

Loading...

Get journal sellers

get

Returns all sellers that have charges in the specified journal. Supports filtering, sorting, and pagination.

Path parameters
journalIdstringRequired
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
externalIdstring · nullableOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
navisionany · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
statusstring · enumOptionalPossible values:
revisioninteger · int32Optional
idstringOptional

The unique identifier of the journal entry.

Example: BJO-1234-1234
namestringOptional

Name of the journal.

Example: 29 Nov 2024 #1
dueDatestring · date-timeOptional

The due date for the journal entry.

Example: 2025-05-15T23:59:59+00:00
get/public/v1/billing/journals/{journalId}/sellers
GET /public/v1/billing/journals/{journalId}/sellers HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "externalId": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "id": "text",
      "attributes": {
        "navision": null
      },
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "status": "Active",
      "journal": {
        "revision": 1,
        "id": "BJO-1234-1234",
        "name": "29 Nov 2024 #1",
        "dueDate": "2025-05-15T23:59:59+00:00"
      }
    }
  ]
}

Retrieves a list of sellers for a specific journal.